import { Card, Collapse, Image, Space, Typography, Col, Row } from "antd";
import Meta from "antd/lib/card/Meta";
import Title from "antd/lib/typography/Title";
import React from "react";
import { Link } from "react-router-dom";
import { CategoryIO } from "./Preview";

const { Panel } = Collapse;
const { Paragraph } = Typography;

// for browsing movies by categories

const gridStyle: React.CSSProperties = {
  textAlign: "center",
  display: "flex",
};


// TODO replace this with API call for all categories with movies inside - alphabet order ideally
const categories: CategoryIO[] = [
  {
    id: "12345",
    name: "Horror",
    movies: [
      {
        id: "789",
        name: "Saw",
        originalName: "Saw",
        intro: "Jigsaw is the bad guy and this is the game",
        picture:
          "https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Ftse3.mm.bing.net%2Fth%3Fid%3DOIP.Jo6M-3oyAlMsB4-F__Z9bwHaHa%26pid%3DApi&f=1",
        published: "1.1.2000",
        runtimeMinutes: 120,
        director: {
          id: "123456789",
          name: "Karel",
          surname: "Vomacka",
          birthdate: "20.2.1987",
        },
      },
      {
        id: "999",
        name: "Saw 2",
        originalName: "Saw 2",
        intro: "The sequel to the first one",
        picture:
          "https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fimages01.kaleidescape.com%2Ftransformed%2Fcovers%2F1134x1624s%2F189%2F18976008.jpg&f=1&nofb=1",
        published: "1.1.2002",
        runtimeMinutes: 150,
        director: {
          id: "123456789",
          name: "Karel",
          surname: "Vomacka",
          birthdate: "20.2.1987",
        },
      },
    ],
  },
  {
    id: "56789",
    name: "Comedy",
    movies: [
      {
        id: "445",
        name: "Kdo zabil kapitána Alexe",
        originalName: "Who killed Cpt Alex",
        intro: "SUPAKICKA",
        picture:
          "https://external-content.duckduckgo.com/iu/?u=http%3A%2F%2F2ht1mik98ka4dogie28vqc4y.wpengine.netdna-cdn.com%2Fwp-content%2Fuploads%2F2015%2F10%2FWho-Killed-Capt-Alex.jpg&f=1&nofb=1",
        published: "8.8.2015",
        runtimeMinutes: 60,
        director: {
          id: "2323",
          name: "Pastor",
          surname: "LUL",
          birthdate: "unknown",
        },
      },
    ],
  },
];

export const BrowseMovies = () => {
  var panelNum = 0;
  return (
    <div className="browse-container">
      <Space direction="vertical" style={{ padding: "3rem" }} wrap>
        <Collapse >
        {categories.map((category) => {
          panelNum += 1;
          return (
            <Panel header={category.name} key={panelNum}>
              <Space size="small" direction="horizontal" align="center">
              {category.movies.map((movie) => {
                
                return (
                  <Card cover={<Image width={200} style={{objectFit: "cover"}}src={movie.picture}></Image>}>
                    <Link to={`/movie/${movie.id}`}>
                    <Meta title={movie.name} description={<div>{movie.originalName}<br></br>{movie.published}</div>}></Meta>
                    </Link>
                  </Card>
                );
              })}
              </Space>
            </Panel>
          );
        })}
        </Collapse>
      </Space>
    </div>
  );
};
